/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"Debug_8h.html#afc3d101f633a076cc1ca84b85b6224b2",
"IOStream_8h.html#acae8a150665dc5989f8346ac2bd4dca3",
"Map_8cc.html#a3e6d43b834ba0a413d4d81c149ae4afc",
"Notes.html",
"PoolItem_8h.html",
"RepoIndex_8h.html#a5699ec7e51d47b8df902ffd4b719e555",
"RpmFlags_8h.html#a4c4781cc6d1baa791e7b97b8093beeb9af8bbc799b033021c660dd386218fdb24",
"StrMatcher_8h.html",
"Testcases.html#Building",
"classResObjectFilterFunctor.html",
"classzypp_1_1Capabilities.html#a53389294b01476030c3de577281c757d",
"classzypp_1_1CpeId.html#acfb549ab0d5ef2f33a666856fa5956f2",
"classzypp_1_1Exception.html#a1c15d748f3b147fe627e4c74dc1ae4d8",
"classzypp_1_1HistoryLogDataRepoRemove.html#a0e54c2b85bc3ec1edc09cbf2c544f40aa40766c697236a3d259d5b9c6b22c5231",
"classzypp_1_1Locale.html#a4ce5e7a98e2ab4d0d6d8330c88e7aea4",
"classzypp_1_1Package.html#ae1b04b343e1a3aa03726797b2cb46731",
"classzypp_1_1PoolItem.html#aa0abd12671a625baee69c49495a790c5",
"classzypp_1_1ProgressData.html#a1a86e64791173ded8b3c53fb40fcfd80",
"classzypp_1_1RepoManager.html#a181cbc8893aea9f22a66bd64371ed402",
"classzypp_1_1ResPool.html#ad4a6aa40edda57afc6279d8cb54653d3",
"classzypp_1_1Resolver.html",
"classzypp_1_1StringTypeAttr.html#a80e63dc19093fb86be8f5643a7e27193",
"classzypp_1_1ZConfig.html#ae708b2c3f144ba0c31bb444c4efe8ccf",
"classzypp_1_1base_1_1DrunkenBishop.html#ac04b984972b0bc5e3096af553a3b17c9",
"classzypp_1_1debug_1_1Measure.html#a9b4faf758f2fdcdd2c13411e0699b3be",
"classzypp_1_1filesystem_1_1Pathname.html#acc85afaa27f1e47ebbde5947f004ff71",
"classzypp_1_1media_1_1MediaAccess.html#a6b37e7ec790d6a99f9abc360fd7735c2",
"classzypp_1_1media_1_1MediaForbiddenException.html",
"classzypp_1_1media_1_1MediaPriority.html#a899f9fd57dbb6fb154b6869980e7312b",
"classzypp_1_1media_1_1multifetchrequest.html#a32e238303bd02b4cda5c20a40b4e6ef4",
"classzypp_1_1parser_1_1yum_1_1RepomdFileReader.html",
"classzypp_1_1repo_1_1RpmPackageProvider.html#a1225065ff470c46d73a09f7ce9947ddb",
"classzypp_1_1sat_1_1LookupAttr_1_1iterator.html#ab3ce73f30fb1404da52d1c4c336955e8",
"classzypp_1_1sat_1_1SolvAttr.html#af37fa051faed4d00b94abdcf90704115",
"classzypp_1_1sat_1_1WhatObsoletes.html#a2f034ade46dc457a81fd7aa5a484b3a8",
"classzypp_1_1str_1_1regex.html#a05d991dfda52fc749358436fddf8ea09",
"classzypp_1_1target_1_1SolvIdentFile.html#a703f093cbc16da732fe80a8c1abf2967",
"classzypp_1_1target_1_1rpm_1_1RpmDb.html#a70e2e4a6a5de75077b85433e44b04e68",
"classzypp_1_1target_1_1rpm_1_1librpmDb_1_1db__const__iterator_1_1D.html#a5b1c968e00e4209c21456476baf18fb7",
"classzypp_1_1url_1_1UrlParsingException.html#a5a4271a245928183bc1b5dd50511564e",
"functions_eval_s.html",
"group__ZYPP__RESOLVABLE__SMART__POINTER__TYPES.html#ga75740e6227569db7bd74932316d9305f",
"namespacezypp_1_1gettext.html",
"structzypp_1_1CompareByNONE.html",
"structzypp_1_1JobReport_1_1EMsgTypeDef.html#a27f07ff3d0623036c6ee75f51e80c690a79f7a353b92ce0e694e9f455c5caba96",
"structzypp_1_1ProvideFileExistenceOperation.html",
"structzypp_1_1RepoManager_1_1Impl.html#ac4202923b022caac4d0a2b0fc2744404",
"structzypp_1_1base_1_1SetTracker.html#a4e2606b3a22488e13c51e4d515bce719",
"structzypp_1_1functor_1_1functor__detail_1_1FunctorRef0.html#ad8ba6907c6e26571e2ac47b528fa76ba",
"structzypp_1_1parser_1_1ProductFileData_1_1Impl.html#a895bb5f80f67ed984c0fb4f8a836c39f",
"structzypp_1_1resfilter_1_1ByEdition.html#a24ad41eb7ee2a593068741757984a8ba",
"structzypp_1_1str_1_1Str.html#a0d396cda2070839d4f06303fbe204ec7",
"structzypp_1_1ui_1_1StatusHelper.html#a5b965371a39a05dfd19ebca1315ebdd8"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';